fpupdate(8)

NAME
fpupdate - F-PROT Antivirus Updater

SYNTAX

fpupdate [options]

DESCRIPTION
fpupdate is a program which checks for virus signature updates over the Internet. If a new virus signature file is available, it will be downloaded and installed.

REPORTING OPTIONS
By default, when invoked from the commandline, fpupdate report the process to stdout, including the progress of the download, success and errors if any.

--version
    Displays the version number.

CONFIGURATION OPTIONS

--proxy http://proxy.name:portnumber
    This option will cause the updater to use the 'proxy.name' as an HTTP proxy server and the supplied portnumber for all HTTP communications.

--proxy-username username
    This option will cause the updater to use 'username' as a username when authenticating to a proxy server (this option is only needed if the HTTP proxy server requires authentication).

--proxy-password password
    This option is used with the --proxy-username and will cause 'password' to be used when the updater authenticates with the HTTP proxy.

--keyfile file
    Specifies a path to a file containing a valid license key (line of the form "FPROT_LICENSE_KEY=<key>", where <key> is a valid license key). It is also possible to store the license key in the f-prot.conf file by invoking the updater in the following manner: fpupdate --keyfile /etc/f-prot.conf.

--ignore-lockfile
    Ignore the lockfile. See EXAMPLES.

--force-lockfile
    Attempt to unlink the lockfile. See EXAMPLES.

NOTES
It is vital that the antivir.def file is kept up to date. To ensure this, the install script creates a crontab entry that runs fpupdate regularly. If you install F-PROT Antivirus manually, you will have to create the crontab entry yourself. We recommend that fpupdate is run once every hour. It is best to pick the minute randomly to avoid peak loads on the update server.

EXAMPLES
fpupdate uses a lockfile to ensure that only one instance of it is running at a time. If you wish, you can ignore the lockfile by running
    fpupdate --ignore-lockfile This can be useful if you do not wish to create the lockfile at all or if a previous run has failed to remove the lockfile, in which case it is recommended to remove the lockfile manually.

REQUIREMENTS
fpupdate requires that the symbolic link /etc/f-prot.conf exists and that it points to a valid configuration file (f-prot.conf). A file containing a valid license key must also be available to fpupdate. By default it is expected to be in the same directory as the fpupdate program and is called 'license.key'.

LICENSING
For information about licensing, see the LICENSE file that comes with F-PROT Antivirus.

CONTACT INFORMATION
Please direct any feedback to:

http://www.f-prot.com/support/contact_support.html

Updates will be advertised on: http://www.f-prot.com/